Skip to main content
GET
/
evm
/
rh
/
trades
Get trade history
curl --request GET \
  --url https://public-api-v2.bags.fm/api/v1/evm/rh/trades \
  --header 'x-api-key: <api-key>'
import requests

url = "https://public-api-v2.bags.fm/api/v1/evm/rh/trades"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://public-api-v2.bags.fm/api/v1/evm/rh/trades', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "response": {
    "trades": [
      {
        "id": "<string>",
        "account": "<string>",
        "ethWei": "<string>",
        "tokenWei": "<string>",
        "priceEthPerToken": "<string>",
        "blockNumber": 123,
        "timestamp": 123,
        "txHash": "<string>",
        "logIndex": 123
      }
    ],
    "nextBeforeTs": 123,
    "nextBeforeId": "<string>"
  }
}
{
  "success": false,
  "response": "<string>"
}
{
  "success": false,
  "error": "<string>"
}
{
  "success": false,
  "response": "<string>"
}
Pagination uses a compound keyset cursor. For the next (older) page, pass both nextBeforeTs back as beforeTs and nextBeforeId back as beforeId. Both cursors are null when the history is exhausted.
const firstPage = await getTrades({ tokenAddress, limit: 100 });

const nextPage = await getTrades({
  tokenAddress,
  limit: 100,
  beforeTs: firstPage.nextBeforeTs,
  beforeId: firstPage.nextBeforeId,
});

Authorizations

x-api-key
string
header
required

API key authentication. Provide your API key as the header value.

Query Parameters

tokenAddress
string
required

Token address. Accepts any casing; normalized to EIP-55 checksum form.

limit
number
default:50

Number of trades to return per page.

Required range: 1 <= x <= 200
beforeTs
number

Cursor timestamp (unix seconds) from a previous page's nextBeforeTs. Sending only beforeTs without beforeId starts from strictly-older timestamps.

beforeId
string

Cursor trade ID from a previous page's nextBeforeId. Must accompany beforeTs.

Response

Successfully retrieved trades

success
boolean
required
Example:

true

response
object